/********************************************************************
* PROJECT: LoonBoard Project
*
* COYRIGHT: Colin O'Flynn of NewAE, (C) 2005 <coflynn@newae.com>
*
* LICENSE: This file is released under a license specified in the LICENSE
*          file in the main project directory that this file was in. If
*          the license file is missing, then this file is NOT licensed
*          and all standard copyright laws apply. 
*
* FILE NAME: crc8.h 
* 
* PURPOSE: Provides the CRC8 routines used as error checking for the
*          LUB protocol to transmit and receive packets.
* 
* GLOBAL VARIABLES: 
* 
* Variable Type Description 
* -------- ---- ----------- 
* none
*
* DEVELOPMENT HISTORY: 
* 
* Date(DMY)   Author          Release   Description Of Change 
* ----        ------          -------   --------------------- 
* 30-04-2005  Colin O'Flynn   Initial   Initial file written
*
*******************************************************************/

#ifndef __LUB_CRC8_HEADER
#define __LUB_CRC8_HEADER

void crc8_clear(void);

void crc8_addbyte(unsigned char data);

unsigned char crc8_getcrc(void);

#endif //__CRC8_HEADER

