/* Copyright Colin O'Flynn (c) 2005 - coflynn@newae.com */

#ifndef __TWI_COMMS_H
#define __TWI_COMMS_H

#include "error.h"
              
//50 KHz TWI Clock
#define TWCLK 50000



#define TWI_TVP5150_SLA         0xB8
#define TWI_X1226_CLOCK_SLA     0xDE
#define TWI_X1226_E2_SLA        0xAE

void twi_init(void);
void twi_stop(void);

ERROR_T twi_send(uint8_t sla, uint8_t * data, unsigned char numbytes);
ERROR_T twi_send_data(uint8_t * data, unsigned char numbytes);
ERROR_T twi_get(uint8_t sla, uint8_t * data, unsigned char numbytes);

#endif //__TWI_COMMS_H


