
#include "serial.h"
#include "serial_lowlevel.h"

unsigned int fd;

void serial_init(char * port, long baud)
    {
    fd = serial_open(port, baud);
    }

void serial_putc(char c)
    {
    serial_send(fd, &c, 1);
    return;
    }

unsigned char serial_getc(void)
    {
    static unsigned char buffer;
    serial_recv(fd, &buffer, 1);
    return buffer;
    }
    
void serial_getcs(unsigned char * data, unsigned int number_data_bytes)
    {
    if (number_data_bytes > 0)
        serial_recv(fd, data, number_data_bytes);
    return;
    }
    
void serial_putcs(unsigned char * data, unsigned int number_data_bytes)
    {
    if (number_data_bytes > 0)
        serial_send(fd, data, number_data_bytes);
    return;
    }

    
void serial_end(void)
    {
    serial_close(fd);
    }

